/*
 * Copyright (C) 2022-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef COMMON_TYPES_HH_EF708F2461F96D698BF09F006E017A94//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define COMMON_TYPES_HH_EF708F2461F96D698BF09F006E017A94

namespace Fred {
namespace PublicRequest {
namespace Unwrapper {

template <typename T>
class RegistryObjectReference
{
public:
    template <typename Visitor>
    decltype(auto) operator()(const Visitor& visitor) const
    {
        return (*static_cast<const T*>(this))(visitor);
    }
};

}//namespace Fred::PublicRequest::Unwrapper
}//namespace Fred::PublicRequest
}//namespace Fred

#endif//COMMON_TYPES_HH_EF708F2461F96D698BF09F006E017A94
